#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int n, x, k;
    int niz[1001];
    cin>>n>>k>>x;
    if(x==1 && n>4)
    {
        cout<<-1;
    }
    else if(k<=n-1)
    {
        niz[0]=2*x;
        for(int i=1; i<k+1; i++)
        {
            niz[i]=x;
        }
        for(int i=k+1; i<n; i++)
        {
            niz[i]=x+1;
        }
        for(int i=0; i<n; i++)
        {
            cout<<niz[i]<<" ";
        }
    }
    else if(k==3 && n==3)
    {
        niz[0]=x;
        niz[1]=2*x;
        niz[2]=3*x;
        for(int i=0; i<n; i++)
        {
            cout<<niz[i]<<" ";
        }
    }
    else if(k==n)
    {
        int pom=1;
        for(int i=2; i<=sqrt(n); i++)
        {
            if(n%i==0)
            {
                pom=i;
                break;
            }
        }
        for(int i=0; i<pom; i++)
        {
            niz[i]=2*x;
        }
        for(int i=pom; i<pom+n/pom; i++)
        {
            niz[i]=x;
        }
        for(int i=pom+n/pom; i<n; i++)
        {
            niz[i]=x+1;
        }
        for(int i=0; i<n; i++)
        {
            cout<<niz[i]<<" ";
        }


    }
    else{
        cout<<-1;
    }
    return 0;
}